<?php



function Buscar_Contratos($num_contrato){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$num_contrato = utf8_decode($num_contrato['num_contrato']);
	if(strlen($num_contrato)==10){
		//$sql="SELECT top 10 * FROM CONTRATOS1 where numero='$num_contrato'";
		$sql="SELECT top 10 * FROM CONTRATOS1 where numero='$num_contrato'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$existe = false;
		while ($row = odbc_fetch_array($result)) {
			$existe = true;
			$cod_cliente = $row['CLIENTE_CON1'];
			//SACAMOS EL NOMBRE DEL CLIENTE
			$sql="select * from potenciales where numero='$cod_cliente'";			
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row2 = odbc_fetch_array($result2)) {
				
				$nombre_cliente = $row2['NOMBRE'];
				$cod_propie = $row2['PROPIE'];
			}
				
			$fsalida = $row['FSALIDA_CON1'];
			$fretor = $row['FRETOR_CON1'];
			
			
			//SACAMOS EL NOMBRE DEL CHOFER	.
			$cod_chofer = $row['CHOFER_CON1'];				
			$sql="select * from CHOFERES where COD_CHOF='$cod_chofer'";			
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row2 = odbc_fetch_array($result2)) {
				
				$nombre_chofer = $row2['NOM_CHOF'];
			}
			
			//sacamos el vehiculo
			$cod_vehi = $row['VCACT_CON1'];
			$sql="SELECT * FROM vehiculo1 where codiint= '$cod_vehi' ";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row3=odbc_fetch_array($result2)) {
				$marca_vehi = $row3['MARCA'];
				$modelo_vehi = $row3['MODELO'];
			}
			
			//sacamos el proveedor
			$cod_provee = $row['PROVEEDOR'];
			$sql="SELECT * FROM PROVEE1  where NUM_PROVEE='$cod_provee'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row4=odbc_fetch_array($result2)) {
				$nombre_provee = $row4['NOMBRE'];
				
			}
			
			//sacamos el agente
			$cod_agente = $row['AGENTE'];
			$sql="SELECT * FROM AGENTES  where NUM_AG='$cod_agente'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row5=odbc_fetch_array($result2)) {
				$nombre_agente = $row5['NOMBRE'];
				
			}
			
			
			//sacamos el propietario
			$sql="SELECT * FROM PROPIE  where NUM_PROPIE='$cod_propie'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row6=odbc_fetch_array($result2)) {
				$nombre_propie = $row6['NOMBRE'];
				
			}
			
		}
		
		
		if(!$existe){
			$newContent = "NO SE HA ENCONTRADO NINGUN CONTRATO";
		}
		else {
			$newContent = 'Cliente '.$cod_cliente.'- '.$nombre_cliente.'<br>
			chofer '.$cod_chofer.' - '.$nombre_chofer.'<br>
			Vehiculo '.$cod_vehi.' '.$marca_vehi.' '.$modelo_vehi.'<br>
			Proveedor '.$cod_provee.' - '.$nombre_provee.'<br>
			Agente '.$cod_agente.' - '.$nombre_agente.'<br>
			Agente '.$cod_propie.' - '.$nombre_propie.'<br>';
		}
		
	}
	
	
	
	
	
	
	$objResponse->addAssign("incidencias","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Buscar_Servicios($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
	
	$sql="SELECT top 30 * FROM CONTRATOS1 c inner join clientes1 p on p.NUMERO_cli=c.CLIENTE_CON1 WHERE  $campo like '%$cadena%'  order by p.numero_cli DESC";
	
	//$objResponse->addAlert();
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		
		
		$newContent.= '<table class="tabla_b">
		<tr>
			<th><b>Contrato</b></th>
			<th><b>Cliente</b></th>
			<th></th>
		</tr>';
		
		while ($row = odbc_fetch_array($result)) {
			
			$cod_cliente = $row['CLIENTE_CON1'];
			//SACAMOS EL NOMBRE DEL CLIENTE
			$sql="select * from clientes1 where numero_cli='$cod_cliente'";			
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row2 = odbc_fetch_array($result2)) {
				
				$nombre_cliente = $row2['NOMBRE'];
				$cod_propie = $row2['PROPIE'];
			}
				
			$fsalida = $row['FSALIDA_CON1'];
			$fretor = $row['FRETOR_CON1'];
			$fecha = $row['FECHA_CON1'];
			
			$cod_contrato = $row['NUMERO'];
			
			
			//SACAMOS EL NOMBRE DEL CHOFER	.
			$cod_chofer = $row['CHOFER_CON1'];				
			$sql="select * from CHOFERES where COD_CHOF='$cod_chofer'";			
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row2 = odbc_fetch_array($result2)) {
				
				$nombre_chofer = $row2['NOM_CHOF'];
			}
			
			//sacamos el vehiculo
			$cod_vehi = $row['VCACT_CON1'];
			$sql="SELECT * FROM vehiculo1 where codiint= '$cod_vehi' ";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row3=odbc_fetch_array($result2)) {
				$marca_vehi = $row3['MARCA'];
				$modelo_vehi = $row3['MODELO'];
				$nombre_vehi = $marca_vehi.' '.$modelo_vehi;
			}
			
			//sacamos el proveedor
			$cod_provee = $row['PROVEEDOR'];
			$sql="SELECT * FROM PROVEE1  where NUM_PROVEE='$cod_provee'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row4=odbc_fetch_array($result2)) {
				$nombre_provee = $row4['NOMBRE'];
				
			}
			
			//sacamos el agente
			$cod_agente = $row['AGENTE'];
			$sql="SELECT * FROM AGENTES  where NUM_AG='$cod_agente'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row5=odbc_fetch_array($result2)) {
				$nombre_agente = $row5['NOMBRE'];
				
			}
			
			
			//sacamos el propietario
			$sql="SELECT * FROM PROPIE  where NUM_PROPIE='$cod_propie'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row6=odbc_fetch_array($result2)) {
				$nombre_propie = $row6['NOMBRE'];
				
			}
			//sacamos el comisionista
			$sql="SELECT * FROM CONTRATOS2  where NUMERO='$cod_contrato'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row7=odbc_fetch_array($result2)) {
				$cod_comisio = $row7['COMISIO_CON2'];
				$sql="SELECT * FROM comisio  where NUM_COMI='$cod_comisio'";
				$result3=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
				while ($row7_2=odbc_fetch_array($result3)) {
					$nombre_comisio = $row7_2['NOMBRE'];
					
				}
			}
				
				
			
			
			//sacamos el contacto
			$cod_contacto = $row['CONTACTO'];
			$sql="SELECT * FROM potenciales  where NUMERO='$cod_contacto'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row8=odbc_fetch_array($result2)) {
				$nombre_contacto = $row8['NOMBRE'];
				
			}
			
			//sacamos el tipo
			$cod_tipo = $row['TIPO'];
			$sql="SELECT * FROM COINRE  where codigo='$cod_tipo'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row9=odbc_fetch_array($result2)) {
				$nombre_tipo = $row9['NOMBRE'];
				
			}
			
			//sacamos la reserva
			$sql="SELECT * FROM CONTRATOS1  where numero='$cod_contrato'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row10=odbc_fetch_array($result2)) {
				$reserva = $row10['RESERVA_CON1'];
				
			}
			//sacamos el presupuesto
			$sql="SELECT * FROM presup1  PRESUP1 where RESERVA_PRE1='$reserva'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row11=odbc_fetch_array($result2)) {
				$presupuesto = $row11['NUMERO_PRE'];
				$cod_contacto = $row11['CONTACTO_PRE1'];				
			}
			
			//sacamos el contacto
			
			$sql="SELECT * FROM potenciales  where NUMERO='$cod_contacto'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row8=odbc_fetch_array($result2)) {
				$nombre_contacto = $row8['NOMBRE'];
				
			}
			
			
		
			
			/*$newContent .= 'Cliente '.$cod_cliente.'- '.$nombre_cliente.'<br>
			chofer '.$cod_chofer.' - '.$nombre_chofer.'<br>
			Vehiculo '.$cod_vehi.' '.$marca_vehi.' '.$modelo_vehi.'<br>
			Proveedor '.$cod_provee.' - '.$nombre_provee.'<br>
			Agente '.$cod_agente.' - '.$nombre_agente.'<br>
			Agente '.$cod_propie.' - '.$nombre_propie.'<br>';*/
			$newContent.= '<tr>
			<td>'.$cod_contrato.'</td>
			<td>'.$nombre_cliente.'</td>
			<td><a href="
			javascript:window.opener.document.form_incidencia.cod_contrato.value=\''.$cod_contrato.'\';
			window.opener.document.form_incidencia.cod_cliente.value=\''.$cod_cliente.'\';
			window.opener.document.form_incidencia.nombre_cliente.value=\''.$nombre_cliente.'\';
			window.opener.document.form_incidencia.cod_chofer.value=\''.$cod_chofer.'\';
			window.opener.document.form_incidencia.nombre_chofer.value=\''.$nombre_chofer.'\';
			window.opener.document.form_incidencia.cod_vehi.value=\''.$cod_vehi.'\';
			window.opener.document.form_incidencia.nombre_vehi.value=\''.$nombre_vehi.'\';
			window.opener.document.form_incidencia.cod_provee.value=\''.$cod_provee.'\';
			window.opener.document.form_incidencia.nombre_provee.value=\''.$nombre_provee.'\';
			window.opener.document.form_incidencia.cod_tipo.value=\''.$cod_tipo.'\';
			window.opener.document.form_incidencia.nombre_tipo.value=\''.$nombre_tipo.'\';
			window.opener.document.form_incidencia.cod_agente.value=\''.$cod_agente.'\';
			window.opener.document.form_incidencia.nombre_agente.value=\''.$nombre_agente.'\';
			window.opener.document.form_incidencia.cod_propie.value=\''.$cod_propie.'\';
			window.opener.document.form_incidencia.nombre_propie.value=\''.$nombre_propie.'\';
			window.opener.document.form_incidencia.cod_comisio.value=\''.$cod_comisio.'\';
			window.opener.document.form_incidencia.nombre_comisio.value=\''.$nombre_comisio.'\';
			window.opener.document.form_incidencia.cod_contacto.value=\''.$cod_contacto.'\';
			window.opener.document.form_incidencia.nombre_contacto.value=\''.$nombre_contacto.'\';
			window.opener.document.form_incidencia.fsalida.value=\''.$fsalida.'\';
			window.opener.document.form_incidencia.fretor.value=\''.$fretor.'\';
			window.opener.document.form_incidencia.reserva.value=\''.$reserva.'\';
			window.opener.document.form_incidencia.presupuesto.value=\''.$presupuesto.'\';
			alert(\'Valor copiado\');
			window.close();" >Copiar</a></td>
		</tr>';
			
			
		}
		$newContent.= '</table>';
	
	
	
	
	
	$objResponse->addAssign("buscar_servicios","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Buscar_Provee($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
		
		
	$sql="Select top 30 * from PROVEE1 where $campo like '%$cadena%' order by NUM_PROVEE DESC ";
	
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$newContent.= '<table class="tabla_b">
		<tr>
			<th><b>Código</b></th>
			<th><b>Nombre</b></th>
			<th></th>
		</tr>';
	while ($fila = odbc_fetch_array($result)) {
		$newContent.= '<tr>
			<td>'.$fila['NUM_PROVEE'].'</td>
			<td>'.$fila['NOMBRE'].'</td>
			<td><a href="javascript:window.opener.document.form_incidencia.cod_provee.value=\''.$fila['NUM_PROVEE'].'\';window.opener.document.form_incidencia.nombre_provee.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
		</tr>';
	}
	$newContent.= '</table>';
		
		
	
	$objResponse->addAssign("buscar_provee","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Buscar_Coinre($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
			
		
	$sql="Select top 30 * from COINRE  where $campo like '%$cadena%' order by CODIGO DESC ";
	
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$newContent.= '<table class="tabla_b">
		<tr>
			<th><b>Código</b></th>
			<th><b>Nombre</b></th>
			<th></th>
		</tr>';
	while ($fila = odbc_fetch_array($result)) {
		$newContent.= '<tr>
			<td>'.$fila['CODIGO'].'</td>
			<td>'.$fila['NOMBRE'].'</td>
			<td><a href="javascript:window.opener.document.form_incidencia.cod_tipo.value=\''.$fila['CODIGO'].'\';window.opener.document.form_incidencia.nombre_tipo.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
		</tr>';
	}
	$newContent.= '</table>';
			
		
		
	
	$objResponse->addAssign("buscar_coinre","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Buscar_Propietarios($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
		
	$sql="SELECT  top 30 * FROM PROPIE where $campo like '%$cadena%' order by NUM_PROPIE desc";
	
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$newContent.= '<table class="tabla_b">
		<tr>
			<th><b>Código</b></th>
			<th><b>Nombre</b></th>
			<th></th>
		</tr>';
	while ($fila = odbc_fetch_array($result)) {
		$newContent.= '<tr>
			<td>'.$fila['NUM_PROPIE'].'</td>
			<td>'.$fila['NOMBRE'].'</td>
			<td><a href="javascript:window.opener.document.form_incidencia.cod_propie.value=\''.$fila['NUM_PROPIE'].'\';window.opener.document.form_incidencia.nombre_propie.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
		</tr>';
	}
	$newContent.= '</table>';
			
		
		
	
	$objResponse->addAssign("buscar_propietario","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Buscar_Chofers($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
		
	$sql="select top 30 * from CHOFERES where $campo like '%$cadena%' order by COD_CHOF desc";
	
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$newContent.= '<table class="tabla_b">
		<tr>
			<th><b>Código</b></th>
			<th><b>Nombre</b></th>
			<th></th>
		</tr>';
	while ($fila = odbc_fetch_array($result)) {
		$newContent.= '<tr>
			<td>'.$fila['COD_CHOF'].'</td>
			<td>'.$fila['NOM_CHOF'].'</td>
			<td><a href="javascript:window.opener.document.form_incidencia.cod_chofer.value=\''.$fila['COD_CHOF'].'\';window.opener.document.form_incidencia.nombre_chofer.value=\''.$fila['NOM_CHOF'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
		</tr>';
	}
	$newContent.= '</table>';
			
		
		
	
	$objResponse->addAssign("buscar_chofer","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}



function Buscar_Comisio($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
		
	$sql="select top 30 * from comisio where $campo like '%$cadena%' order by NUM_COMI desc";
	
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$newContent.= '<table class="tabla_b">
		<tr>
			<th><b>Código</b></th>
			<th><b>Nombre</b></th>
			<th></th>
		</tr>';
	while ($fila = odbc_fetch_array($result)) {
		$newContent.= '<tr>
			<td>'.$fila['NUM_COMI'].'</td>
			<td>'.$fila['NOMBRE'].'</td>
			<td><a href="javascript:window.opener.document.form_incidencia.cod_comisio.value=\''.$fila['NUM_COMI'].'\';window.opener.document.form_incidencia.nombre_comisio.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
		</tr>';
	}
	$newContent.= '</table>';
				
		
		
		
		
		
		
	
	
	
	
	
	
	
	$objResponse->addAssign("buscar_comisio","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Buscar_Vehiculo($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
		
		
$sql="select top 30 * from vehiculo1 where $campo like '%$cadena%' order by CODIINT desc";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

$newContent.= '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	$nombre = $fila['MARCA'].' '.$fila['MODELO'];
	$newContent.= '<tr>
		<td>'.$fila['CODIINT'].'</td>
		<td>'.$nombre.'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_vehi.value=\''.$fila['CODIINT'].'\';window.opener.document.form_incidencia.nombre_vehi.value=\''.$nombre.'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
$newContent.= '</table>';
		
		
		
		
		
		
	
	
	
	
	
	
	
	$objResponse->addAssign("buscar_vehiculo","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Buscar_Contacto($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	$sql="Select top 30 * from potenciales WHERE comiclave like '".$_SESSION['comi']."' and $campo like '%$cadena%' order by numero DESC ";
	//$objResponse->addAlert($);
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$newContent.= '<table class="tabla_b">
		<tr>
			<th><b>Código</b></th>
			<th><b>Nombre</b></th>
			<th></th>
		</tr>';
	while ($fila = odbc_fetch_array($result)) {
		$newContent.= '<tr>
			<td>'.$fila['NUMERO'].'</td>
			<td>'.$fila['NOMBRE'].'</td>
			<td><a href="javascript:window.opener.document.form_incidencia.cod_contacto.value=\''.$fila['NUMERO'].'\';window.opener.document.form_incidencia.nombre_contacto.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
		</tr>';
	}
	$newContent.= '</table>';
			
		
	
	$objResponse->addAssign("buscar_contacto","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}



function Buscar_Agentes($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
		
		$sql="Select top 30 * from agentes where $campo like '%$cadena%' order by NUM_AG DESC ";
		
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		
		$newContent.= '<table class="tabla_b">
			<tr>
				<th><b>Código</b></th>
				<th><b>Nombre</b></th>
				<th></th>
			</tr>';
		while ($fila = odbc_fetch_array($result)) {
			$newContent.= '<tr>
				<td>'.$fila['NUM_AG'].'</td>
				<td>'.$fila['NOMBRE'].'</td>
				<td><a href="javascript:window.opener.document.form_incidencia.cod_agente.value=\''.$fila['NUM_AG'].'\';window.opener.document.form_incidencia.nombre_agente.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
			</tr>';
		}
		$newContent.= '</table>';
			
		
		
		
		
		
		
	
	
	
	
	
	
	
	$objResponse->addAssign("buscar_agente","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Buscar_Clientes($form_b){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$cadena = utf8_decode($form_b['cadena']);
	$campo = utf8_decode($form_b['campo']);
	
	
		//$sql="SELECT top 10 * FROM CONTRATOS1 where numero='$num_contrato'";
		$sql="SELECT * FROM INCICON where contrato='$num_contrato'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$existe = false;
		
		
		
		$sql="Select top 50 * from potenciales WHERE  $campo like '%$cadena%' order by numero DESC ";
		
		
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		
		$newContent.= '<table class="tabla_b">
			<tr>
				<th><b>Código</b></th>
				<th><b>Nombre</b></th>
				<th></th>
			</tr>';
		while ($fila = odbc_fetch_array($result)) {
			$newContent.= '<tr>
				<td>'.$fila['NUMERO'].'</td>
				<td>'.$fila['NOMBRE'].'</td>
				<td><a href="javascript:window.opener.document.form_incidencia.cod_cliente.value=\''.$fila['NUMERO'].'\';window.opener.document.form_incidencia.nombre_cliente.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
			</tr>';
		}
		$newContent.= '</table>';
			
		
		
		
		
		
		
	
	
	
	
	
	
	
	$objResponse->addAssign("buscar_cliente","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Pon_Listado_Incidencias_A(){
	global $cid;
	$objResponse = new xajaxResponse();
	
	//$usuario = $_SESSION['usuario_web'][0].$_SESSION['usuario_web'][1];
		//$sql="SELECT top 10 * FROM CONTRATOS1 where numero='$num_contrato'";
		$sql="SELECT * FROM INCICON where COMISIO='".$_SESSION['comi']."' OR cliente='".$_SESSION['cliente']."' OR conductor='".$_SESSION['chofer']."' OR PROVEE='".$_SESSION['provee']."' OR CLIENTE='".$_SESSION['potencial']."' OR agente='".$_SESSION['agente_c']."' OR contacto='".$_SESSION['potencial']."' order by fecha desc";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$num_filas = 0;
			while ($row = odbc_fetch_array($result)) {
				if(!$row['USUCIERRA']){
					$num_filas ++;
				}
			}
			
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$existe = false;
	$newContent.='<table class="tabla_b">
		<tr><th style="background-color:#ccc;color:#000">Resultados</th><th colspan="3" style="background-color:#ccc;color:#000;text-align:left;padding-left:10px">'.$num_filas.'</th></tr>
		<tr><th>Cliente</th><th>Codigo Incidencia</th><th>Tipo</th><th>Usuario</th>';
		while ($row = odbc_fetch_array($result)) {
			$existe = true;
			$cod_incidencia = $row['COD_INCI'];
			$cod_tipo = $row['TIPO'];
			$cod_cliente = $row['CLIENTE'];
			$sql="SELECT  * FROM COINRE where CODIGO='$cod_tipo'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$nombre_tipo='';
			while ($row2 = odbc_fetch_array($result2)) {				
				$nombre_tipo = $row2['NOMBRE'];
				
			}
			
			$cliente='';
			$sql="SELECT * FROM potenciales where numero='$cod_cliente'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));		
			while ($row2 = odbc_fetch_array($result2)) {				
				$cliente = $row2['NOMBRE'];
				
			}
			if(!$row['USUCIERRA']){
			$newContent.= '<tr>
			<td>'.$cliente.'</td>
			<td>'.$cod_incidencia.' </td>
			<td>'.$nombre_tipo.'</td>
			<td><a href="ver-incidencia.php?n_c='.$cod_incidencia.'" >Editar</a></td>
			</tr>' ;
			}
			
		
				
		
		}
		$newContent.='</table>';
	
	
	
	
	
	$objResponse->addAssign("listado_encontradas","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Pon_Listado_Incidencias_C(){
	global $cid;
	$objResponse = new xajaxResponse();
	
		//$usuario = $_SESSION['usuario_web'][0].$_SESSION['usuario_web'][1];
	
		//$sql="SELECT top 10 * FROM CONTRATOS1 where numero='$num_contrato'";
		$sql="SELECT * FROM INCICON where  usucierra!='' AND ( COMISIO='".$_SESSION['comi']."' OR cliente='".$_SESSION['cliente']."' OR conductor='".$_SESSION['chofer']."' OR PROVEE='".$_SESSION['provee']."' OR CLIENTE='".$_SESSION['potencial']."' OR agente='".$_SESSION['agente_c']."' OR contacto='".$_SESSION['potencial']."') order by fecha desc";
		//$objResponse->addAlert($sql);
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$num_filas = 0;
			while ($row = odbc_fetch_array($result)) {
				$num_filas ++;
			}
			
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$existe = false;		
		
		$newContent.='<table class="tabla_b">
		<tr><th style="background-color:#ccc;color:#000">Resultados</th><th colspan="3" style="background-color:#ccc;color:#000;text-align:left;padding-left:10px">'.$num_filas.'</th></tr>
		<tr><th>Cliente</th><th>Codigo Incidencia</th><th>Tipo</th><th>Usuario</th>';
		while ($row = odbc_fetch_array($result)) {
			$existe = true;
			$cod_incidencia = $row['COD_INCI'];
			$cod_tipo = $row['TIPO'];
			$cod_cliente = $row['CLIENTE'];
			$sql="SELECT  * FROM COINRE where CODIGO='$cod_tipo'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$nombre_tipo='';
			while ($row2 = odbc_fetch_array($result2)) {				
				$nombre_tipo = $row2['NOMBRE'];
				
			}
			
			$cliente='';
			$sql="SELECT * FROM potenciales where numero='$cod_cliente'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));		
			while ($row2 = odbc_fetch_array($result2)) {				
				$cliente = $row2['NOMBRE'];
				
			}
			
			
			$newContent.= '<tr>
			<td>'.$cliente.'</td>
			<td>'.$cod_incidencia.' </td>
			<td>'.$nombre_tipo.'</td>
			<td><a href="ver-incidencia.php?n_c='.$cod_incidencia.'" >Editar</a></td>
			</tr>' ;
		
				
		
		}
		$newContent.='</table>';
	
	
	
	
	
	$objResponse->addAssign("listado_encontradas","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Pon_Listado_Incidencias(){
	global $cid;
	$objResponse = new xajaxResponse();
	//$usuario = $_SESSION['usuario_web'][0].$_SESSION['usuario_web'][1];
	
		//$sql="SELECT top 10 * FROM CONTRATOS1 where numero='$num_contrato'";
		$sql="SELECT * FROM INCICON where COMISIO='".$_SESSION['comi']."' OR cliente='".$_SESSION['cliente']."' OR conductor='".$_SESSION['chofer']."' OR PROVEE='".$_SESSION['provee']."' OR CLIENTE='".$_SESSION['potencial']."' OR agente='".$_SESSION['agente_c']."' OR contacto='".$_SESSION['potencial']."' order by fecha desc";
		//$sql="SELECT * FROM INCICON  order by fecha desc";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$num_filas = 0;
			while ($row = odbc_fetch_array($result)) {
				$num_filas ++;
			}
			
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$existe = false;
		$newContent.='<table class="tabla_b">
		<tr><th style="background-color:#ccc;color:#000">Resultados</th><th colspan="3" style="background-color:#ccc;color:#000;text-align:left;padding-left:10px">'.$num_filas.'</th></tr>
		<tr><th>Cliente</th><th>Codigo Incidencia</th><th>Tipo</th><th>Usuario</th>';
		while ($row = odbc_fetch_array($result)) {
			$existe = true;
			$cod_incidencia = $row['COD_INCI'];
			$cod_tipo = $row['TIPO'];
			$nombre_tipo='';
			$cod_cliente = $row['CLIENTE'];
			$sql="SELECT  * FROM COINRE where CODIGO='$cod_tipo'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));		
			while ($row2 = odbc_fetch_array($result2)) {				
				$nombre_tipo = $row2['NOMBRE'];
				
			}
			
			$cliente='';
			$sql="SELECT * FROM potenciales where numero='$cod_cliente'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));		
			while ($row2 = odbc_fetch_array($result2)) {				
				$cliente = $row2['NOMBRE'];
				
			}
			
			
			
			$newContent.= '<tr>
			<td>'.$cliente.'</td>
			<td>'.$cod_incidencia.' </td>
			<td>'.$nombre_tipo.'</td>
			<td><a href="ver-incidencia.php?n_c='.$cod_incidencia.'" >Editar</a></td>
			</tr>' ;
			
		
				
		
		}
		$newContent.='</table>';
	
	
	
	
	
	$objResponse->addAssign("listado_encontradas","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Buscar_Incidencias($num_contrato){
	global $cid;
	$objResponse = new xajaxResponse();
	
	$num_contrato = utf8_decode($num_contrato['num_contrato']);
	if($_SESSION['empresa']=='09'){$limite =10; }else{$limite=10;}
	if(strlen($num_contrato)==$limite){
		//$sql="SELECT top 10 * FROM CONTRATOS1 where numero='$num_contrato'";
		$sql="SELECT * FROM INCICON where contrato='$num_contrato'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		$existe = false;
		$newContent.='<table class="tabla_b">
		<tr><th>Codigo Incidencia</th><th>Tipo</th><th></th>';
		while ($row = odbc_fetch_array($result)) {
			$existe = true;
			$cod_incidencia = $row['COD_INCI'];
			$cod_tipo = $row['TIPO'];
			$sql="SELECT  * FROM COINRE where CODIGO='$cod_tipo'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$nombre_tipo='';
			while ($row2 = odbc_fetch_array($result2)) {				
				$nombre_tipo = $row2['NOMBRE'];
				
			}
			
			$newContent.= '<tr><td>'.$cod_incidencia.' </td><td>'.$nombre_tipo.'</td><td><a href="ver-incidencia.php?n_c='.$cod_incidencia.'" >Editar</a></td></tr>' ;
			
		}	
		$newContent.='</table>';
			
		
		
		if(!$existe){
			$newContent = "NO SE HA ENCONTRADO NINGUNA INCIDENCIA";
		}
		
		
		
	}
	
	
	
	
	
	
	$objResponse->addAssign("incidencias_encontradas","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function pon_foto_vehiculo($id_coche){
	
	global $cid;
	
$objResponse = new xajaxResponse();
	//$newContent.= '<img src="flota/'.$id_coche.'_1.jpg" style="height:110px"/>';
	
	
$sql="SELECT ID_NOM FROM vehiculo1 WHERE CODIINT='$id_coche'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$id_nom = $row['ID_NOM'];
}

$rsql="SELECT * FROM IDIOMA_TRADUCCION WHERE ID_REG='$id_nom' AND IDIOMA='1'";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	while ($fila = odbc_fetch_array($results)) {
		$nombre = $fila['TRADUCCION'];
	}
	
	$newContent.= '<img src="http://www.limousinecc.com/coches/m/'.filtro_url($nombre).'_1.jpg" style="height:110px"/>';
	
	$objResponse->addAssign("foto_coche","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function confirmar_reserva() {
	
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	

	//$objResponse->addAlert($tarifa);	
	$newContent.= '<p style="margin-top:5px"><strong>'._FORMA_DE_PAGO.':</strong><br/></p>
	<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="xajax_forma_de_pago(1);" type="radio" name="forma" value="tarjeta" class=""  /><strong>'._TARJETA_DE_CREDITO.'</strong></p>
	<div id="forma_de_pago1"></div>
	<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="xajax_forma_de_pago(2);" type="radio" name="forma" value="transferencia" class=""  /><strong>'._TRANSFERENCIA.'</strong></p>
	<div id="forma_de_pago2"></div><p>&nbsp;</p>
	';
	$newContent.= '<p class="t5 negrita" style="clear: both;">
	<input type="submit" value="'.strtoupper(_BT_BTENVIAR).'" style="padding: 10px;font-weight: bold;vertical-align: middle;" " /></p>
	<p>&nbsp;</p>';
	
	
	$objResponse->addAssign("confirmar_reserva","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
    
}

function forma_de_pago($tipo){
	$objResponse = new xajaxResponse();
	
	
	if($tipo == 1){
		$newContent.= '<p style="margin:5px 0 0 50px"><strong>Tipo:</strong> <input type="radio" name="tipo_tar" value="visa" /> Visa - <input type="radio" name="tipo_tar" value="mastercard"/>Mastercard</p>
		<p style="margin:5px 0 0 50px">
		Nº&nbsp;<input type="text" name="num_tarjeta" class="" style="width: 210px;" />
		&nbsp;&nbsp;&nbsp;'._FECHA_CADUCIDAD.' &nbsp;<input type="text" name="caducidad" class="" style="width: 100px;" /></p>';
			$objResponse->addAssign("forma_de_pago1","innerHTML", utf8_encode($newContent));
			$objResponse->addAssign("forma_de_pago2","innerHTML", "");
	}
	if($tipo == 2){
		$newContent.= '<p style="margin:5px 0 0 50px">'._RECIBIRA_UN_EMAIL.'</p>';
			$objResponse->addAssign("forma_de_pago2","innerHTML", utf8_encode($newContent));
			$objResponse->addAssign("forma_de_pago1","innerHTML", "");
	}

	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function condiciones_tarifas($tarifa) {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	$newContent .= '<p class="t5 negrita">'._CONDICIONES_DE_TARIFA.'</p>';
	//$objResponse->addAlert($tarifa);
	
	$sql="SELECT * FROM NTARI WHERE CODIGO='$tarifa'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {	
	
	if($_GET['idioma']){
		$idioma=$_GET['idioma'];
	}
	else{
		$idioma = 1;
	}
	
	$sql2 = "SELECT * FROM TARI_COND WHERE NTARI ='".$row['CODIGO']."' and IDIOMA = '$idioma' ";
	$result2=odbc_exec($cid,$sql2)or die(exit("Error en odbc_exec"));
	
	while ($fila = odbc_fetch_array($result2)) {
		$newContent .= '<p >'.$fila['CONDICIONES'].'</p>';
	}
}

	
	
	$objResponse->addAssign("condicion_servicio","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
    
}


function Comprobar_Formulario($nombre){
global $cid;
	
	$objResponse = new xajaxResponse();
	
	$objResponse->addAlert($nombre);
	
	$objResponse->addAssign("Mostrar_Lista_Asociados($nombre)","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
	
}
	
	
	



	
function Mostrar_Lista_Asociados($nombre) {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	$cadena = trim($nombre);
	$num = strlen($cadena);
	
	
	
	if (strlen($cadena)>5) {
		//$objResponse->addAlert($cadena);
		//$objResponse->addAlert($cadena);
		
		//$newContent .= '<div id="muestra_lista" style="height: 150px;overflow: auto;border: 1px solid #ccc;clear: both;">';
		
		$newContent .= '<table style="background-color: #FFF;border: 1px solid #ccc;">';
		
		
		$sql="SELECT * FROM POTENCIALES WHERE NOMBRE like'%$cadena%'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
if (odbc_fetch_row($result)==0) {

$objResponse->addScript('
document.form_presup.style.visibility = "visible";
document.form_presup.style.overflow = "visible";

');

$objResponse->addScript('document.form_presup.nombre_cliente.value = "'.$cadena.'";');

	/*
	$newContent .= '<p style="border-top: 1px solid #ccc;color: red;" class="izquierda negrita">No hay ningún Asociado con ese nombre, complete el formulario para añadir el asociado.</p>';	
	
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;NIF:</label><input type="text" class="required" name="dni" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Dirección:</label><input type="text" class="required" name="direccion" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Número:</label><input type="text" class="required" name="dir_num" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';	
	$newContent .= '<p><label>&nbsp;Código Postal:</label><input type="text" class="required" name="codigo_postal" onkeyup="xajax_Pon_Poblacion_Provincia(form_presup.codigo_postal.value)" style="width: 300px;" /></p>';

	$newContent .= '<div id="pobla_prov"></div>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Teléfono:</label><input type="text" class="required" name="tlf" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Móvil:</label><input type="text" class="required" name="tlf_movil" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Fax:</label><input type="text" class="required" name="fax" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	
	$newContent .= '<p><label>&nbsp;Correo electrónico:</label><input type="text" class="required" name="email" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Página web:</label><input type="text" class="required" name="web" style="width: 300px;" /></p>';
	
		$newContent .= '<p>&nbsp;</p>';
		$newContent .= '<p><label>&nbsp;Usuario:</label><input type="text" class="required" name="usuario" style="width: 300px;" /></p>';
		$newContent .= '<p>&nbsp;</p>';
		$newContent .= '<p><label>&nbsp;Contraseña:</label><input type="password" class="required" name="web" style="width: 300px;" /></p>';
	

	
		$newContent .= '<p>&nbsp;</p>';
	
	$newContent .= '<p style="clear: both;"><label>&nbsp;</label><input   type="submit" name="solicitar" value="Guardar >>" style="padding: 8px;font-weight: bold;" /></p>';
	
*/
	

}
else {
$objResponse->addScript('
document.form_presup.style.visibility = "hidden";
document.form_presup.style.overflow = "hidden";
');

		$newContent .= '<tr>';
		$newContent .= '<td width="55%" class="negrita izquierda">Nombre y Apellildos</td>
		<td width="25%" class="negrita izquierda">D.N.I.</td>
		<td width="10%" class="negrita centro">Oficina</td>
		<td width="10%" class="negrita centro">Seleccionar</td>';
		$newContent .= '</tr>';
	$sql="SELECT * FROM POTENCIALES WHERE NOMBRE like'%$cadena%'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$newContent .= '<tr><td style="border-top: 1px solid #ccc;" width="60%" class="izquierda">'.$row['NOMBRE'].'</td><td style="border-top: 1px solid #ccc;" width="30%" class="izquierda">'.$row['NIF'].'</td><td width="10%" style="border-top: 1px solid #ccc;" class="centro">'.$row['OFICINA'].'</td><td style="border-top: 1px solid #ccc;" width="10%" class="centro"><a href="#" onclick="xajax_Pon_Datos_Cliente(\''.$row['NUMERO'].'\');return false;"><img src="images/icon_ok.jpg" style="border: 0;" /></a></td></tr>';	
}
}

		
		$newContent .= '</table>';
		
		//$newContent .= '</div>';
		
		$objResponse->addAssign("muestra_lista","innerHTML", utf8_encode($newContent));
	}
	
	
	
	
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Mostrar_Lista_Clientes($nombre,$apellido_1,$apellido_2,$seccion) {
	
	global $cid;
	
	
	$objResponse = new xajaxResponse();
	
//	$objResponse->addAlert($apellido_2);
if($apellido_2!='lista_clientes'){
	$newContent = "";
	
	$nombre = trim($nombre);
	$apellido_1 = trim($apellido_1);
	$apellido_2 = trim($apellido_2);
	
	
	
	$cadena = '';
	if ($nombre!="") {$cadena .= $nombre;}
	if ($apellido_1!="") {$cadena .= ' '.$apellido_1;}
	if ($apellido_2!="") {$cadena .= ' '.$apellido_2;}
	$num = strlen($cadena);
	
	
	
	if (strlen($cadena)>5) {
		//$objResponse->addAlert($cadena);
		//$objResponse->addAlert($cadena);
		
		//$newContent .= '<div id="muestra_lista" style="height: 150px;overflow: auto;border: 1px solid #ccc;clear: both;">';
		
		$newContent .= '<table style="background-color: #FFF;border: 1px solid #ccc;">';
		$newContent .= '<tr>';
		$newContent .= '<td width="55%" class="negrita izquierda">Nombre y Apellildos</td>
		<td width="25%" class="negrita izquierda">D.N.I.</td>
		<td width="10%" class="negrita centro">Oficina</td>
		<td width="10%" class="negrita centro">Seleccionar</td>';
		$newContent .= '</tr>';
		
		$sql="SELECT * FROM POTENCIALES WHERE NOMBRE like'%$cadena%'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
if (odbc_fetch_row($result)==0) {
	$newContent .= '<tr><td colspan="4" style="border-top: 1px solid #ccc;color: red;" class="izquierda negrita">No se ha encontrado ningún cliente con este nombre, por favor cree un nuevo cliente.</td></tr>';	

}
else {
	$sql="SELECT * FROM POTENCIALES WHERE NOMBRE like'%$cadena%'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$newContent .= '<tr><td style="border-top: 1px solid #ccc;" width="60%" class="izquierda">'.$row['NOMBRE'].'</td><td style="border-top: 1px solid #ccc;" width="30%" class="izquierda">'.$row['NIF'].'</td><td width="10%" style="border-top: 1px solid #ccc;" class="centro">'.$row['OFICINA'].'</td><td style="border-top: 1px solid #ccc;" width="10%" class="centro"><a href="#" onclick="xajax_Pon_Datos_Cliente(\''.$row['NUMERO'].'\');return false;"><img src="images/icon_ok.jpg" style="border: 0;" /></a></td></tr>';	
}
}

		
		$newContent .= '</table>';
	}

}
else{
	$nombre2 = utf8_decode($nombre['cadena_filtro']);
	$comi = utf8_decode($nombre['comi']);
	
$newContent .= '<table id="tabla_clientes" width="99%" align="center" cellpadding="3" cellspacing="0">';
$newContent .= '<tr>';
$newContent .= '<th>Número</th>';
$newContent .= '<th>Nombre y Apellidos</th>';
$newContent .= '<th>E-mail</th>';
$newContent .= '<th>Fecha Alta</th>';
$newContent .= '<th>Ver Ficha</th>';

//echo '<th>Eliminar</th>';
$newContent .= '</tr>';
$sql="Select * from potenciales WHERE NOMBRE like '%".$nombre2."%' and comiclave like '".$comi."' order by numero DESC ";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$fondo = 0;
while ($row = odbc_fetch_array($result)) {
	
	if ($fondo%2==0) {$fondo_celda = 'par';} else {$fondo_celda = 'impar';}
	
	$newContent .= '<tr class="'.$fondo_celda.'">';
	$newContent .= '<td>'.$row['NUMERO'].'</td>';
	$newContent .= '<td>'.$row['NOMBRE'].'</td>';
	$email = eregi_replace("#","@",$row['EMAIL']);
	$newContent .= '<td>'.$email.'</td>';
	$newContent .= '<td>'.$row['ALTA'].'</td>';
	$newContent .= '<td class="centro" align="center" valign="middle" style="border-right: 1px solid #999;"><a href="clientes.php?accion=mod&num='.$row['NUMERO'].'&seccion='.$seccion.'"><img src="images/ico_modificar.gif" alt="Modificar" style="vertical-align: middle;" /></a></td>';
	/*echo '<td class="centro" align="center" valign="middle" style="border-right: 1px solid #999;"><a href=""><img src="images/ico_eliminar.gif" alt="Eliminar" style="vertical-align: middle;" /></a></td>';*/
	$newContent .= '</tr>';
	
	++$fondo;
}
$newContent .= '</table>';


}
		//$newContent .= '</div>';
		
		$objResponse->addAssign("muestra_lista","innerHTML", utf8_encode($newContent));
	
	
	
	
	
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Pon_Tabla_Clientes($form_filtro){
	 $objResponse = new xajaxResponse();
	 $objResponse->addAlert('hola');
	 
$objResponse->addAssign("listado_clientes","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;


}


function Mostrar_Lista_Clientes2($nombre,$apellido_1,$apellido_2) {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	$nombre = trim($nombre);
	$apellido_1 = trim($apellido_1);
	$apellido_2 = trim($apellido_2);
	
	
	
	$cadena = '';
	if ($nombre!="") {$cadena .= $nombre;}
	if ($apellido_1!="") {$cadena .= ' '.$apellido_1;}
	if ($apellido_2!="") {$cadena .= ' '.$apellido_2;}
	$num = strlen($cadena);
	
	
	
	if (strlen($cadena)>5) {
		//$objResponse->addAlert($cadena);
		//$objResponse->addAlert($cadena);
		
		//$newContent .= '<div id="muestra_lista" style="height: 150px;overflow: auto;border: 1px solid #ccc;clear: both;">';
		
		$newContent .= '<table style="background-color: #FFF;border: 1px solid #ccc;width:100%">';
		
		
		$sql="SELECT * FROM POTENCIALES WHERE NOMBRE like'%$cadena%'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
if (odbc_fetch_row($result)==0) {
	$newContent .= '<tr><td colspan="4" style="border-top: 1px solid #ccc;color: red;" class="izquierda negrita">No hay ningún cliente con ese nombre, complete el formulario para añadir el cliente.</td></tr>';	
	
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Correo electrónico:</label><input type="text" class="required" name="email" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Teléfono Móvil:</label><input type="text" class="required" name="tlf_movil" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Teléfono Fijo:</label><input type="text" class="required" name="tlf_fijo" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Fax:</label><input type="text" class="required" name="fax" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Web:</label><input type="text" class="required" name="web" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Contacto:</label><input type="text" class="required" name="p_contacto" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Dirección:</label><input type="text" class="required" name="direccion" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Número:</label><input type="text" class="required" name="dir_num" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;D.N.I.:</label><input type="text" class="required" name="dni" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Código Postal:</label><input type="text" class="required" name="codigo_postal" onkeyup="xajax_Pon_Poblacion_Provincia(form_presup.codigo_postal.value)" style="width: 300px;" /></p>';
	$newContent .= '<div id="pobla_prov"></div>';
$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>&nbsp;Observaciones:</label><textarea class="required" name="observaciones" style="width:300px;height:100px" ></textarea></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p style="clear: both;"><label>&nbsp;</label><input type="submit" name="solicitar" value="Guardar >>" style="padding: 8px;font-weight: bold;" /></p>';

}
else {
$newContent .= '<tr>';
		$newContent .= '<td width="55%" class="negrita izquierda">Nombre y Apellildos</td>
		<td width="25%" class="negrita izquierda">D.N.I.</td>';
		$newContent .= '</tr>';
	$sql="SELECT * FROM POTENCIALES WHERE NOMBRE like'%$cadena%'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$newContent .= '<tr><td style="border-top: 1px solid #ccc;" width="60%" class="izquierda">'.$row['NOMBRE'].'</td><td style="border-top: 1px solid #ccc;" width="30%" class="izquierda">'.$row['NIF'].'</td></tr>';	
}
}

		
		$newContent .= '</table>';
		
		//$newContent .= '</div>';
		
		$objResponse->addAssign("muestra_lista","innerHTML", utf8_encode($newContent));
	}
	
	
	
	
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Pon_Datos_Cliente($codigo) {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	//$objResponse->addAlert($codigo);
	$sql="SELECT * FROM POTENCIALES WHERE NUMERO like'$codigo'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));



while ($row = odbc_fetch_array($result)) {
	$nombre = $row['NOMBRE'];
}
	
	
	
	$newContent .= '<div id="campo_cliente"><p><label>Cliente:</label><input type="text" value="'.$nombre.'" name="nombre_cliente" style="width: 300px;"  onKeyUp="xajax_Mostrar_Lista_Clientes(document.form_presup.nombre_cliente.value);" /></p></div>';
	$newContent .= '<input type="hidden" name="codigo" value="'.$codigo.'" />';
	
	$newContent .= '<input type="text" name="apellido_1" class="" style="width: 110px;display: none;" />';
	$newContent .= '<input type="text" name="apellido_2" class="" style="width: 110px;display: none;" />';
		
	$newContent .= '<p><label>&nbsp;</label><input type="button" name="reset" value="Reset" onclick="window.location=\'index_comercial.php\'" style="padding: 3px;" /></p>';
	
	
	$objResponse->addAssign("datos_cliente","innerHTML", utf8_encode($newContent));
	
	//ponemos la dirección
	$objResponse->addScriptCall("xajax_Pon_Direccion_Inicio",$codigo);
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Pon_Campos_Cliente($nombre,$apellido_1,$apellido_2) {
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	$newContent .= '<p><label>Nombre:</label><input type="text" class="required" name="nombre_cliente" value="'.utf8_decode($nombre).'" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>Apellido 1:</label><input type="text" class="required" name="apellido_1" value="'.utf8_decode($apellido_1).'" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>Apellido 2:</label><input type="text" class="required" name="apellido_2" value="'.utf8_decode($apellido_2).'" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>Correo electrónico:</label><input type="text" class="required" name="email" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>Teléfono Móvil:</label><input type="text" class="required" name="tlf_movil" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>Dirección:</label><input type="text" class="required" name="direccion" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>Número:</label><input type="text" class="required" name="dir_num" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>D.N.I.:</label><input type="text" class="required" name="dni" style="width: 300px;" /></p>';
	$newContent .= '<p>&nbsp;</p>';
	$newContent .= '<p><label>Código Postal:</label><input type="text" class="required" name="codigo_postal" onkeyup="xajax_Pon_Poblacion_Provincia(form_presup.codigo_postal.value)" style="width: 300px;" /></p>';
	$newContent .= '<div id="pobla_prov"></div>';
	
	$objResponse->addAssign("datos_cliente","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Pon_Poblacion_Provincia($codigo_postal) {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	if (strlen($codigo_postal)==5) {
		
		//$objResponse->addAlert($codigo_postal);
		$sql="Select top 1 * from POBLACIONES WHERE CP='$codigo_postal'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($result)) {
		$poblacion = $row['POBLA'];
		}
		//ponemos poblacion
		$newContent .= '<p>&nbsp;</p>';
		$newContent .= '<p><label>Población:</label><input type="text" name="poblacion" value="'.$poblacion.'" style="width: 300px;" /></p>';
		
		//sacamos la provincia
		$cp = substr($codigo_postal,0,2);
		$sql="Select top 1 * from PROVINCIA WHERE CP='$cp'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($result)) {
		$provincia = $row['PROV'];
		}
		
		$newContent .= '<p>&nbsp;</p>';
		$newContent .= '<p><label>Provincia:</label><input type="text" name="provincia" value="'.$provincia.'" style="width: 300px;" /></p>';
	
	
	
	
	
}

$objResponse->addAssign("pobla_prov","innerHTML", utf8_encode($newContent));
//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Comprueba_Servicio_Coche($tarifa,$cod_coche) {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	
	
	if ($tarifa!="" && $cod_coche!="") {
		
		//extraemos el grupo
		$sql="Select * from vehiculo1 WHERE CODIINT='$cod_coche'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	while ($row = odbc_fetch_array($result)) {
		$grupo = $row['GRUPO'];
	}
		
		
		
		//buscamos la tarifa para comprobar que es compatible
		//aqui optenemos el concepto
if ($tarifa=="TARICEREMO") {$concepto = 2;}
if ($tarifa=="TARIDISPO8") {$concepto = 4;}
if ($tarifa=="TARIDISPO4") {$concepto = 6;}
if ($tarifa=="TARITRANSF") {$concepto = 8;}
if ($tarifa=="TARITRANSC") {$concepto = 78;}

$sql = "SELECT * FROM TARIFAS_PRECIOS WHERE (TARIFA = '$tarifa') AND (GRUPO = '$grupo') AND (CONCEPTO = '$concepto')";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$num_result = odbc_fetch_row($result);
//$objResponse->addAlert($num_result);
if ($num_result=="") {
	$objResponse->addAlert(utf8_encode('Tarifa incompatible entre el tipo de vehículo y servicio. Seleccione otro vehículo.'));
	$objResponse->addScriptCall("xajax_Pon_Select_Vehiculo");
}
else {
	//$objResponse->addAlert('ok');
}
/*
while ($row = odbc_fetch_array($result)) {
	$objResponse->addAlert($row['precio']);
}
*/



	}
	
	
	
	
	
	
	
	
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
	
	
}

function Pon_Select_Vehiculo() {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	$objResponse->addAssign("select_vehiculo","innerHTML", "");
	
	
	
	$newContent .= '<p><label>Seleccione vehículo:</label>';
$sql="SELECT * FROM vehiculo1 WHERE NOPUBLICARWEB='0' ORDER BY ORDENWEB ASC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$newContent .= '<select name="tipo_coche" onchange="document.form_presup.coche_oculto.value = 1;xajax_Comprueba_Servicio_Coche(document.form_presup.tarifa.value,form_presup.tipo_coche.options[form_presup.tipo_coche.selectedIndex].value)">';
$newContent .= '<option selected value="">Seleccione coche</option>';
while ($row = odbc_fetch_array($result)) {
$newContent .= '<option value="'.$row['CODIINT'].'">'.$row['MARCA'].' '.$row['MODELO'].'</option>';	
}
$newContent .= '</select>';
$newContent .= '</p>';

//$objResponse->addAlert($newContent);
//$newContent = "";
	$objResponse->addScript("document.form_presup.coche_oculto.value = ''");
	
	$objResponse->addAssign("select_vehiculo","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Pon_Hora_Fin($ano,$mes,$dia,$hora,$minutos,$tarifa) {
	
	global $cid;
	
	
	$objResponse = new xajaxResponse();
	
	$newContent = "";
	
	if ($tarifa!="") {
	if ($tarifa=="TARICEREMO") {$suma_hora = 0;}
if ($tarifa=="TARIDISPO8") {$suma_hora = 8;}
if ($tarifa=="TARIDISPO4") {$suma_hora = 4;}
if ($tarifa=="TARITRANSF") {$suma_hora = 1;}
if ($tarifa=="TARITRANSC") {$suma_hora = 1;}

//sacamos la fecha y creamos los campos
$segundos = '00';
$fecha = $ano.'-'.$mes.'-'.$dia.' '.$hora.':'.$minutos.':'.$segundos;

//calculamos la hora de fin
$fin_hora_presup = date("Y-m-d H:i", mktime($hora+$suma_hora, $minutos, 0,$mes,$dia,$ano));

if($tarifa=='TARICEREMO'){
	$newContent.= '<div style="float:left;width:0px;height:0px;overflow:hidden;" >';
}



$newContent .= '<p>&nbsp;</p>';
//fecha y hora del servicio
$newContent .= '<p class="negrita">'._FINFECHA_SERVICIO.':</p>';
//$objResponse->addAlert($fin_hora_presup);

$datos = explode(" ",$fin_hora_presup);

$datos_1 = explode("-",$datos[0]);
$ano_fin = $datos_1[0];
$mes_fin = $datos_1[1];
$dia_fin = $datos_1[2];

$hora_fin = $datos[1];
$datos_2 = explode(":",$datos[1]);
$hora_fin = $datos_2[0];
$minuto_fin = $datos_2[1];

$newContent .= '<select name="dia_fin"><option value="'.$dia_fin.'">DD</option>';
if ($dia_fin==01) {$newContent .= '<option selected value="01">01</option>';} else {$newContent .= '<option value="01">01</option>';}
if ($dia_fin==02) {$newContent .= '<option selected value="02">02</option>';} else {$newContent .= '<option value="02">02</option>';}
if ($dia_fin==03) {$newContent .= '<option selected value="03">03</option>';} else {$newContent .= '<option value="03">03</option>';}
if ($dia_fin==04) {$newContent .= '<option selected value="04">04</option>';} else {$newContent .= '<option value="04">04</option>';}
if ($dia_fin==05) {$newContent .= '<option selected value="05">05</option>';} else {$newContent .= '<option value="05">05</option>';}
if ($dia_fin==06) {$newContent .= '<option selected value="06">06</option>';} else {$newContent .= '<option value="06">06</option>';}
if ($dia_fin==07) {$newContent .= '<option selected value="07">07</option>';} else {$newContent .= '<option value="07">07</option>';}
if ($dia_fin=='08') {$newContent .= '<option selected value="08">08</option>';} else {$newContent .= '<option value="08">08</option>';}
if ($dia_fin=='09') {$newContent .= '<option selected value="09">09</option>';} else {$newContent .= '<option value="09">09</option>';}
if ($dia_fin==10) {$newContent .= '<option selected value="10">10</option>';} else {$newContent .= '<option value="10">10</option>';}
if ($dia_fin==11) {$newContent .= '<option selected value="11">11</option>';} else {$newContent .= '<option value="11">11</option>';}
if ($dia_fin==12) {$newContent .= '<option selected value="12">12</option>';} else {$newContent .= '<option value="12">12</option>';}
if ($dia_fin==13) {$newContent .= '<option selected value="13">13</option>';} else {$newContent .= '<option value="13">13</option>';}
if ($dia_fin==14) {$newContent .= '<option selected value="14">14</option>';} else {$newContent .= '<option value="14">14</option>';}
if ($dia_fin==15) {$newContent .= '<option selected value="15">15</option>';} else {$newContent .= '<option value="15">15</option>';}
if ($dia_fin==16) {$newContent .= '<option selected value="16">16</option>';} else {$newContent .= '<option value="16">16</option>';}
if ($dia_fin==17) {$newContent .= '<option selected value="17">17</option>';} else {$newContent .= '<option value="17">17</option>';}
if ($dia_fin==18) {$newContent .= '<option selected value="18">18</option>';} else {$newContent .= '<option value="18">18</option>';}
if ($dia_fin==19) {$newContent .= '<option selected value="19">19</option>';} else {$newContent .= '<option value="19">19</option>';}
if ($dia_fin==20) {$newContent .= '<option selected value="20">20</option>';} else {$newContent .= '<option value="20">20</option>';}
if ($dia_fin==21) {$newContent .= '<option selected value="21">21</option>';} else {$newContent .= '<option value="21">21</option>';}
if ($dia_fin==22) {$newContent .= '<option selected value="22">22</option>';} else {$newContent .= '<option value="22">22</option>';}
if ($dia_fin==23) {$newContent .= '<option selected value="23">23</option>';} else {$newContent .= '<option value="23">23</option>';}
if ($dia_fin==24) {$newContent .= '<option selected value="24">24</option>';} else {$newContent .= '<option value="24">24</option>';}
if ($dia_fin==25) {$newContent .= '<option selected value="25">25</option>';} else {$newContent .= '<option value="25">25</option>';}
if ($dia_fin==26) {$newContent .= '<option selected value="26">26</option>';} else {$newContent .= '<option value="26">26</option>';}
if ($dia_fin==27) {$newContent .= '<option selected value="27">27</option>';} else {$newContent .= '<option value="27">27</option>';}
if ($dia_fin==28) {$newContent .= '<option selected value="28">28</option>';} else {$newContent .= '<option value="28">28</option>';}
if ($dia_fin==29) {$newContent .= '<option selected value="29">29</option>';} else {$newContent .= '<option value="29">29</option>';}
if ($dia_fin==30) {$newContent .= '<option selected value="30">30</option>';} else {$newContent .= '<option value="30">30</option>';}
if ($dia_fin==31) {$newContent .= '<option selected value="31">31</option>';} else {$newContent .= '<option value="31">31</option>';}
$newContent .= '</select>&nbsp;';

$newContent .= '<select name="mes_fin"><option value="'.$mes_fin.'">MM</option>';
if ($mes_fin==01) {$newContent .= '<option selected value="01">Enero</option>';} else {$newContent .= '<option value="01">Enero</option>';}
if ($mes_fin==02) {$newContent .= '<option selected value="02">Febrero</option>';} else {$newContent .= '<option value="02">Febrero</option>';}
if ($mes_fin==03) {$newContent .= '<option selected value="03">Marzo</option>';} else {$newContent .= '<option value="03">Marzo</option>';}
if ($mes_fin==04) {$newContent .= '<option selected value="04">Abril</option>';} else {$newContent .= '<option value="04">Abril</option>';}
if ($mes_fin==05) {$newContent .= '<option selected value="05">Mayo</option>';} else {$newContent .= '<option value="05">Mayo</option>';}
if ($mes_fin==06) {$newContent .= '<option selected value="06">Junio</option>';} else {$newContent .= '<option value="06">Junio</option>';}
if ($mes_fin==07) {$newContent .= '<option selected value="07">Julio</option>';} else {$newContent .= '<option value="07">Julio</option>';}
if ($mes_fin=='08') {$newContent .= '<option selected value="08">Agosto</option>';} else {$newContent .= '<option value="08">Agosto</option>';}
if ($mes_fin=='09') {$newContent .= '<option selected value="09">Septiembre</option>';} else {$newContent .= '<option value="09">Septiembre</option>';}
if ($mes_fin==10) {$newContent .= '<option selected value="10">Octubre</option>';} else {$newContent .= '<option value="10">Octubre</option>';}
if ($mes_fin==11) {$newContent .= '<option selected value="11">Noviembre</option>';} else {$newContent .= '<option value="11">Noviembre</option>';}
if ($mes_fin==12) {$newContent .= '<option selected value="12">Diciembre</option>';} else {$newContent .= '<option value="12">Diciembre</option>';}
$newContent .= '</select>&nbsp;';

$newContent .= '<select name="ano_fin"><option value="'.$ano_fin.'">AAAA</option>';
$newContent .= '<option value="'.($ano_fin - 1).'">'.($ano_fin - 1).'</option>';
$newContent .= '<option selected value="'.$ano_fin.'">'.$ano_fin.'</option>';
$newContent .= '<option value="'.($ano_fin + 1).'">'.($ano_fin + 1).'</option>';
$newContent .= '</select>';


$newContent .= '<select name="hora_fin" style="margin-left: 50px;"><option value="'.$hora_fin.'">HH</option>';
if ($hora_fin==00) {$newContent .= '<option selected value="00">00</option>';} else {$newContent .= '<option value="00">00</option>';}
if ($hora_fin==01) {$newContent .= '<option selected value="01">01</option>';} else {$newContent .= '<option value="01">01</option>';}
if ($hora_fin==02) {$newContent .= '<option selected value="02">02</option>';} else {$newContent .= '<option value="02">02</option>';}
if ($hora_fin==03) {$newContent .= '<option selected value="03">03</option>';} else {$newContent .= '<option value="03">03</option>';}
if ($hora_fin==04) {$newContent .= '<option selected value="04">04</option>';} else {$newContent .= '<option value="04">04</option>';}
if ($hora_fin==05) {$newContent .= '<option selected value="05">05</option>';} else {$newContent .= '<option value="05">05</option>';}
if ($hora_fin==06) {$newContent .= '<option selected value="06">06</option>';} else {$newContent .= '<option value="06">06</option>';}
if ($hora_fin==07) {$newContent .= '<option selected value="07">07</option>';} else {$newContent .= '<option value="07">07</option>';}
if ($hora_fin=='08') {$newContent .= '<option selected value="08">08</option>';} else {$newContent .= '<option value="08">08</option>';}
if ($hora_fin=='09') {$newContent .= '<option selected value="09">09</option>';} else {$newContent .= '<option value="09">09</option>';}
if ($hora_fin==10) {$newContent .= '<option selected value="10">10</option>';} else {$newContent .= '<option value="10">10</option>';}
if ($hora_fin==11) {$newContent .= '<option selected value="11">11</option>';} else {$newContent .= '<option value="11">11</option>';}
if ($hora_fin==12) {$newContent .= '<option selected value="12">12</option>';} else {$newContent .= '<option value="12">12</option>';}
if ($hora_fin==13) {$newContent .= '<option selected value="13">13</option>';} else {$newContent .= '<option value="13">13</option>';}
if ($hora_fin==14) {$newContent .= '<option selected value="14">14</option>';} else {$newContent .= '<option value="14">14</option>';}
if ($hora_fin==15) {$newContent .= '<option selected value="15">15</option>';} else {$newContent .= '<option value="15">15</option>';}
if ($hora_fin==16) {$newContent .= '<option selected value="16">16</option>';} else {$newContent .= '<option value="16">16</option>';}
if ($hora_fin==17) {$newContent .= '<option selected value="17">17</option>';} else {$newContent .= '<option value="17">17</option>';}
if ($hora_fin==18) {$newContent .= '<option selected value="18">18</option>';} else {$newContent .= '<option value="18">18</option>';}
if ($hora_fin==19) {$newContent .= '<option selected value="19">19</option>';} else {$newContent .= '<option value="18">18</option>';}
if ($hora_fin==20) {$newContent .= '<option selected value="20">20</option>';} else {$newContent .= '<option value="20">20</option>';}
if ($hora_fin==21) {$newContent .= '<option selected value="21">21</option>';} else {$newContent .= '<option value="21">21</option>';}
if ($hora_fin==22) {$newContent .= '<option selected value="22">22</option>';} else {$newContent .= '<option value="22">22</option>';}
if ($hora_fin==23) {$newContent .= '<option selected value="23">23</option>';} else {$newContent .= '<option value="23">23</option>';}
$newContent .= '</select>&nbsp;:&nbsp;';

$newContent .= '<select name="minuto_fin"><option value="'.$minuto_fin.'">MM</option>';
if ($minuto_fin>=00 && $minuto_fin<30) {$newContent .= '<option selected value="00">00</option>';} else {$newContent .= '<option value="00">00</option>';}
if ($minuto_fin>=30 && $minuto_fin<=59) {$newContent .= '<option selected value="30">30</option>';} else {$newContent .= '<option value="30">30</option>';}
$newContent .= '</select>';
if($tarifa=='TARICEREMO'){
	$newContent.= '</div>';
}

$objResponse->addAssign("hora_fin","innerHTML", utf8_encode($newContent));
	}
	
	
	
	
	
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Pon_Pobla_Prov_Inicio($codigo_postal) {
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	if (strlen($codigo_postal)==5) {
		
		//$objResponse->addAlert($codigo_postal);
		$sql="Select top 1 * from POBLACIONES WHERE CP='$codigo_postal'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($result)) {
		$poblacion = $row['POBLA'];
		}
		//ponemos poblacion
		
		
		
		//sacamos la provincia
		$cp = substr($codigo_postal,0,2);
		$sql="Select top 1 * from PROVINCIA WHERE CP='$cp'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($result)) {
		$provincia = $row['PROV'];
		}
		
		$newContent .= '<div class="field-wrapper"><label for="first-name">'._PRE_CIUDAD.':</label><input type="text" name="poblacion_inicio" value="'.$poblacion.'" style="width: 350px;" /></div>
		<div class="field-wrapper" ><label for="first-name">'._PRE_PROVINCIA.':</label><input type="text" name="provincia_inicio" value="'.$provincia.'" style="width: 350px;" /></div>';
		

	
	
	
	
}

$objResponse->addAssign("pobla_prov_inicio","innerHTML", utf8_encode($newContent));
//return the XML response generated by the xajaxResponse object
    return $objResponse;
}


function Pon_Pobla_Prov_Final($codigo_postal) {
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	if (strlen($codigo_postal)==5) {
		
		//$objResponse->addAlert($codigo_postal);
		$sql="Select top 1 * from POBLACIONES WHERE CP='$codigo_postal'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($result)) {
		$poblacion = $row['POBLA'];
		}
		//ponemos poblacion
		$newContent .= '<p><label style="width: 300px;">Población:</label><label style="width: 300px;">Provincia:</label></p>';
		
		
		//sacamos la provincia
		$cp = substr($codigo_postal,0,2);
		$sql="Select top 1 * from PROVINCIA WHERE CP='$cp'";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($result)) {
		$provincia = $row['PROV'];
		}
		
		
		$newContent .= '<p><label style="width: 300px;"><input type="text" name="poblacion_final" class="required" value="'.$poblacion.'" style="width: 250px;" /></label><label style="width: 300px;"><input type="text" name="provincia_final" class="required" value="'.$provincia.'" style="width: 250px;" /></label></p>';
	
	
	
	
}

$objResponse->addAssign("pobla_prov_final","innerHTML", utf8_encode($newContent));
//return the XML response generated by the xajaxResponse object
    return $objResponse;
}

function Pon_Direccion_Inicio($numero) {
	
	global $cid;
	
	$objResponse = new xajaxResponse();
	$newContent = "";
	
	//$objResponse->addAlert($numero);
	
	$sql="SELECT * FROM POTENCIALES WHERE NUMERO like'$numero'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));



while ($row = odbc_fetch_array($result)) {
	
	$direccion = $row['DIRECCION'];
	$numero = $row['DIR_NUM'];
	$codigo_postal = $row['CP'];
	$poblacion = $row['POBLACION'];
	$provincia = $row['PROVINCIA'];
	
}
	
	$newContent .= '<p><label style="width: 300px;"><input type="text" name="direccion_inicio" value="'.$direccion.'" style="width: 250px;" /></label><label style="width: 150px;"><input type="text" name="numero_inicio" value="'.$numero.'" style="width: 100px;" /></label><label style="width: 150px;"><input type="text" name="cp_inicio" onkeyup="xajax_Pon_Pobla_Prov_Inicio(form_presup.cp_inicio.value)" value="'.$codigo_postal.'" style="width: 100px;" /></label></p>';
	$newContent .= '<div id="pobla_prov_inicio">';
	$newContent .= '<p><label style="width: 300px;">Población:</label><label style="width: 300px;">Provincia:</label></p>';
	$newContent .= '<p><label style="width: 300px;"><input type="text" name="poblacion_inicio" value="'.$poblacion.'" style="width: 250px;" /></label><label style="width: 300px;"><input type="text" name="provincia_inicio" value="'.dame_provincia($provincia).'" style="width: 250px;" /></label></p>';
	$newContent .= '</div>';
	
	$objResponse->addAssign("direccion_inicio","innerHTML", utf8_encode($newContent));
	//return the XML response generated by the xajaxResponse object
    return $objResponse;
}
?>